.example-form {
  min-width: 150px;
  max-width: 500px;
  width: 100%;
}

.example-full-width {
  width: 100%;
}

.head-detal {
  color: #333333;
  font-family: Prompt;
  font-size: 17.5px;
  letter-spacing: 0;
  line-height: 32px;
  margin-top: 20px;
}
.body-detal {
  padding-left: 20px;
}
.body-detal-checkbox {
  padding-left: 25px;
}
.saveDraft {
  box-sizing: border-box;
  height: 48px;
  width: 228px;
  border: 1.5px solid #00a4e4;
  border-radius: 4px;
  color: #00a6e6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
}

.body-detal {
  justify-content: center;
}
.button-next {
  height: 56px;
  width: 100%;
  color: #ffffff;
  background-color: #00a4e4;
}

.button-search {
  color: #ffffff;
  background-color: #00a4e4;
}

.checkbox-col {
  margin-right: 20px;
}
.radio-col {
  margin-right: 20px;
}

::ng-deep .th-center .mat-sort-header-container {
  justify-content: center;
}

::ng-deep
  .mat-checkbox-checked.mat-accent
  .mat-checkbox-ripple
  .mat-ripple-element {
  opacity: 0.03 !important;
  background-color: #00a6e6 !important;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: #00a6e6;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
  opacity: 0 !important; /*click effect color change*/
  background-color: #00a6e6 !important;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: #00a6e6 !important; /*inner circle color change*/
}

::ng-deep.mat-radio-button.mat-accent.mat-radio-checked
  .mat-radio-outer-circle {
  border-color: #00a6e6 !important; /*outer ring color change*/
}
::ng-deep
  .myDpSelector.myDpSelectorArrow.myDpSelectorArrowLeft.myDpSelectorAbsolute {
  height: 232px;
  width: 252px;
  margin-top: 10px;
  top: 40px !important;
  left: 15px !important;
}
.subDetail {
  background-color: #f2f2f2;
  border-radius: 4px;
  padding: 10px;
  padding-top: 6px;
  padding-bottom: 0px;
  margin-left: 30px;
  max-width: 818px;
  min-width: 441px;
}
.inputSubDetail {
  margin-left: 30px;
  padding: 0px;
  margin-top: 10px;
}

.input-warpper {
  position: relative;
}
.icon-warpper1 {
  display: block;
  position: absolute;
  right: 20px;
  line-height: 35px;
}

.icon-warpper2 {
  display: block;
  position: absolute;
  right: 55px;
  line-height: 35px;
}
.btn-date {
  top: 5px;
  right: 25px;
  position: absolute;
  cursor: pointer;
  color: #009edb;
}
.btn-delete:hover {
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}

/* hide the blue outline */
// .form-control:focus {
//   outline: 0 !important;
//   border-color: initial;
//   box-shadow: none;
// }
::ng-deep .input-group-text {
  padding: 0px !important;
  background-color: #ffffff !important;
  border: 1px solid #cdcdce;
}
.input-detail {
  margin-bottom: 10px;
}
.radio-detail {
  padding-left: 0px;
}
.radio-layout {
  padding-top: 0px;
  padding-bottom: 0px;
}

.checkbox-layout {
  padding-top: 4px;
  padding-bottom: 4px;
}

.checkbox-box {
  padding-top: 1px;
}

.checkbox-detail {
  padding-left: 10px;
}
.checkbox-detail-false {
  cursor: pointer;
}
.checkbox-detail-true {
  cursor: pointer;
  color: #00a6e6;
}
.checkbox-detail-false-disabled {
  // cursor: pointer;
  color: #333333;
  // color: #7c7c7c;
}
.checkbox-padding-right {
  padding-right: 20px;
}

.alert-success {
  box-sizing: border-box;
  height: 49px;
  // border: 1px solid rgba(90,167,0,0.7);
  border: 1px solid rgba(0, 110, 149, 0.7);
  border-radius: 4px;
  // background-color: rgba(90,167,0,0.1);
  background-color: rgba(0, 110, 149, 0.1);
  box-shadow: 0 2px 8px 0 rgba(224, 224, 224, 0.5);
  text-align: center;
  padding-top: 10px;
  a.alert-detail {
    // color: #5AA700;
    color: #006e95;
    font-family: Prompt;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 28px;
  }
}

.icon_checkmark {
  height: 24px;
  width: 24px;
}

// ////////////////////////calender //////////////////////////////////////
::ng-deep #ej2-datetimepicker_0 span.e-input-group::before {
  display: none;
  font-family: Prompt !important;
}
::ng-deep #ej2-datetimepicker_0 span.e-input-group::after {
  display: none;
}
::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}
::ng-deep .e-btn.e-flat.e-primary:hover {
  // border: 1px solid #009EDB !important;
  background: rgb(247, 247, 247) !important;
  color: #009edb !important;
}
::ng-deep .e-btn.e-flat.e-primary:disabled {
  // background: rgb(255, 255, 255)!important;
  color: rgba(104, 104, 104, 0.219) !important;
}
::ng-deep .e-btn.e-flat.e-primary:disabled:hover {
  background: rgb(255, 255, 255) !important;
  color: rgba(104, 104, 104, 0.219) !important;
}
::ng-deep .e-calendar .e-content td.e-today span.e-day:hover {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0) !important;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-focused-date.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-end-date.e-selected.e-range-hover
  span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-calendar .e-content td.e-selected:hover span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-range-hover.e-start-date.e-selected.e-today
  span.e-day {
  border: 1px solid #009edb !important;
}
::ng-deep
  .e-daterangepicker.e-popup
  .e-calendar
  .e-start-date.e-selected.e-range-hover
  span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-calendar .e-content td.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}
::ng-deep .e-btn.e-flat.e-primary {
  background: rgb(255, 255, 255) !important;
  color: #009edb !important;
}
::ng-deep #ej2-datetimepicker_0 span {
  border: none;
  color: rgb(185, 185, 185);
}
::ng-deep #ej2-datetimepicker_0 input.e-input {
  font-size: 14px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #3a4966;
  font-family: Prompt !important;
}

::ng-deep .mat-calendar-body-selected {
  background-color: #009edb !important;
}
// //////////////////////////////////////////////////////////////////////////

.calendar-warpper-2 {
  position: absolute;
  top: 45px !important;
  // right: 0;
  background: #fff;
  padding: 10px;
  border: 1px solid #0000002b;
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 1px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  z-index: 999;
  // opacity: 0;
  transition: all 2s;
  width: 250px;
  .input-calendar {
    position: relative;
  }

  .subhead-calendar {
    display: flex;
    text-align: center;
    color: #009edb;

    :nth-child(1) {
      width: 50%;
    }
    :nth-child(2) {
      width: 50%;
    }
  }

  .header-calendar {
    text-align: center;
  }

  .body-calendar {
    display: flex;
  }

  &.ng-star-inserted {
    opacity: 1;
  }

  .footer-calendar {
    display: flex;

    .btn-apply {
      margin-left: auto;
    }

    .mat-flat-button.mat-primary:not([disabled]) {
      background-color: #009edb;
    }

  }
}
.fa-remove:before,
.fa-close:before,
.fa-times:before {
  position: absolute;
  top: 11px;
  right: 60px;
}

.mat-calendar {
  display: block;
  width: 100%;
}


// validate

.ul_10 {
  list-style-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='10' height='10' viewBox='0 0 100 100'><circle cx='50%' cy='50%' r='10' /></svg>");
}

.view_ul {
  padding-left: 19px;
}



// =======================
.title-portfolio {
  font-family: Prompt;
  font-size: 24px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  color: #3a4966;
}
.bg-card {	
  border-radius: 4px;	
  background-color: #EEEEEE;
  width: 760px;
  height: auto;
  padding: 25px;
}
.card{
  border: none;
}
.card-footer{
background-color: white;
border-top: unset;
padding: 0;
}

.userID_name{
  padding-left: 20px;
}

.h-set {
color: #3A4966;
font-family: Prompt;
font-size: 20px;
font-weight: 500;
letter-spacing: 0;
line-height: 30px;
}

.form{
height: 48px;
min-width: 100%;
max-width: 100%;

&::placeholder {
  color: rgb(197, 197, 197);
  opacity: 1; /* Firefox */
}
}
.considerBoard {
height: 30px;
min-width: 100%;
max-width: 100%;

&::placeholder {
  color: rgb(197, 197, 197);
  opacity: 1; /* Firefox */
}
}
.input-warpper {

position: relative;
}

.icon-warpper1 {
display: block;
position: absolute;
left: 10%;
line-height: 48px;
}

.icon-warpper2 {
display: block;
position: absolute;
left: 80%;
line-height: 48px;
}

.btn-date{
border: none;
background-color: none;
color: rgb(121, 121, 121)
}
.btn-delete{
cursor: pointer;
color: rgb(121, 121, 121) !important;
}

.btn-date{
cursor: pointer;
color: #009EDB
}
.btn-delete:hover{
cursor: pointer;
color: rgb(20, 20, 20) !important;
}

.input-from{
height: 48px;
}
.input-search-c {
text-align: left;
font-family: Prompt!important;
border-radius: 4px;
border: solid 1px #e0e0e0;
background-color: #ffffff;

height: 48px;
width: 400px;
}

.layout-btn{
text-align: right;
}

.bnt-cancel{

height: 48px;
border-radius: 4px;
}

.btn-save{
height: 48px;
width: 220px;
border-radius: 4px;
background-color: #006E95;
color: #FFFFFF;
font-family: Prompt;
font-size: 16px;
letter-spacing: 0.1px;
line-height: 20px;
text-align: center;
}

.mat-toggle-custom::ng-deep {
position: absolute;
top: 50%;
right: 20px;
transform: translateY(-50%);
}

.set-info {
padding-left: 20px;
}

.calendar-backdrop {
  display: flex;
  position: fixed;
  background: transparent;
  width: 100%;
  height: 100%;
  z-index: 998;
  top: 0;
  left: 0;
}
::ng-deep .mat-datepicker-toggle-default-icon {
    display: none !important;
}
::ng-deep .mat-calendar-body-selected {
  background-color: #009EDB !important;
}

::ng-deep .cdk-keyboard-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected), .cdk-program-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected), .mat-calendar-body-cell:not(.mat-calendar-body-disabled):hover>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected) {
  border-color:#009EDB !important;
  background-color: white;
}

::ng-deep .mat-calendar-body-today:not(.mat-calendar-body-selected) {
border-color:#009EDB !important;
background-color: white;
}

::ng-deep .cdk-keyboard-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected), .cdk-program-focused .mat-calendar-body-active>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected), .mat-calendar-body-cell:not(.mat-calendar-body-disabled):hover>.mat-calendar-body-cell-content:not(.mat-calendar-body-selected) {
  background-color: white;
}

.img-datepicke {
  position: absolute;
  cursor: pointer;
  top: 14px;
  right:25px;
}

.img-datepicke-consider {
position: absolute;
cursor: pointer;
top: 5px;
right:20px;
}